Subject: bug#76748: 31.0.50; `unload-feature' unbinds NEW-ALIAS and BASE-VARIABLE of variable alias

From: Stefan Monnier <[email-masked]>
Date: Sat, 15 Mar 2025 15:13:37 -0400

> Thanks for your review.  I'll implement your recommendations (and
> Eli's), but here is one more general question, which came to me
> only now:  What's the general purpose of `unload-history'?

Good question.  I don't know.  I never use it.
The times I've heard people mention it, they tended to use it so as to
be able to unload an old version of a package and then load a newer
version in its place without having to restart Emacs.
And I got to hear about it because, well, that doesn't work
reliably.

> So another, less invasive option to fix this bug might be to just
> skip variable aliases in `unload-history' and not call `makunbound'
> on them.

That would be the poor man's choice, but given you already wrote the
code to do it better, I wouldn't make that choice.

        Stefan